<div class="container-fluid">
	<%= _.template($('#variable_constructor').html())({id:"Variable", description:tr("Variable To Save List"), default_variable: "NEW_LIST"}) %>
    <%= _.template($('#input_constructor').html())({id:"Value1", description:tr("Value 1. Can be empty"), default_selector: "string"}) %>
    <%= _.template($('#input_constructor').html())({id:"Value2", description:tr("Value 2. Can be empty"), default_selector: "string"}) %>
    <%= _.template($('#input_constructor').html())({id:"Value3", description:tr("Value 3. Can be empty"), default_selector: "string"})  %>
</div>
<div style="
    padding-left: 15px;
    margin-bottom: 5px;
    display: flex;
">
<input id="createList_addInput" min="1" value="1" type="number" style="
    border: 1px solid #a9a9a9;
    width: 80px;
    padding-left: 12px;
">

<span class="tr"
onmouseover="this.style.backgroundColor='#a9a9a9';" 
onmouseout="this.style.backgroundColor='#eeeeee';" 
onclick="createList.creationCycle(createList_addInput.value)" style="
    height: 26px;
    cursor: pointer;
    background-color: rgb(238, 238, 238);
    color: rgb(115, 115, 115);
    text-align: center;
    line-height: 25px;
    border: 1px solid rgb(169, 169, 169);
    margin-left: 2px;
    padding-left: 10px;
    padding-right: 10px;
">Add</span>
<span class="tr"
onmouseover="this.style.backgroundColor='#a9a9a9';" 
onmouseout="this.style.backgroundColor='#eeeeee';" 
onclick="createList.linkRemove(event,'all');" 
style="
height: 26px;
cursor: pointer;
background-color: rgb(238, 238, 238);
color: rgb(115, 115, 115);
text-align: center;
line-height: 25px;
border: 1px solid rgb(169, 169, 169);
margin-left: 2px;
padding-left: 10px;
padding-right: 10px;
">Remove all</span>
</div>
<div class="tooltipinternal">
    <div class="tr tooltip-paragraph-first-fold">Create a new list with initial values ​​(optional).</div>
</div>
<%= _.template($('#back').html())({action:"executeandadd", visible:true}) %>

<script type="text/javascript">
var createList = {};
(function () {
    createList.input_constructor = $('#input_constructor').html()
      .replace(/(if\(typeof\(use_textarea\) == "undefined"\){ %>[\s]*?<\/div>[\s]*?)( )(<% } )/, '$1<a class="tr" style="cursor: pointer;" onclick="createList.linkRemove(event)">Remove</a>$3')
      .replace(/(<i .*? )\/\>/g, '$1></i>')
      .replace(/data-preserve="true"/g, 'data-preserve="true" class="class-for-remove"');
})();

createList.addInput = function (id) {
    var result = _.template(createList.input_constructor)({
        id: "Value" + id,
        description: tr("Value ") + id + tr(". Can be empty"),
        default_selector: "string"
    });
    document.querySelector("#containerdata div.container-fluid").lastElementChild.insertAdjacentHTML("afterEnd", result);
    tr();
};
createList.linkRemove = function (event, all) {
    if (!all) {
        event.path[5].remove();
    } else {
        document.querySelectorAll(".class-for-remove").forEach(box => {
            box.remove();
        });
    }
};
createList.id = 3;

createList.creationCycle = function (val) {
    if (typeof (val) == "string") {
        var num = parseInt(val, 10);
        if (!isNaN(num)) {
            if (num > 0) {
                for (var i = 0; i < num; i++) {
                    createList.addInput(++createList.id);
                }
            }
        }
    };
    if (Array.isArray(val)) {
        for (var i = 0; i < val.length; i++) {
            createList.addInput(createList.id++, val[i]);
        }
    }
};

(function () {
    if (document.querySelectorAll(".class-for-remove").length == 0 && CurrentDat != null) {
        if (CurrentDat.s == "CreateList") {
            var arr_id = [];
            arr_id.push(createList.id);
            var arr = CurrentDat.d.slice(4);
            for (var i = 0; i < arr.length; i++) {
              console.log("Создаём инпуты: " + (i+1));
                var result = _.template(createList.input_constructor)({
                    id: arr[i].id,
                    description: tr("Value ") + (arr[i].id.split("Value")[1]) + tr(". Can be empty"),
                    default_selector: "string"
                });
                arr_id.push(parseInt(arr[i].id.split("Value")[1], 10));
                document.querySelector("#containerdata div.container-fluid").lastElementChild.insertAdjacentHTML("afterEnd", result);
            };
            createList.id = Math.max.apply(null, arr_id);
        }
    }
})();
</script>